{
    "fields": [
        {
            "doc": "This is the normal record for one reported variant",
            "name": "reportedStructuralVariantCancer",
            "type": {
                "fields": [
                    {
                        "doc": "chromosome, named as: 1-22,X,Y,MT(other contigs name)",
                        "name": "chromosome",
                        "type": "string"
                    },
                    {
                        "doc": "start: start position 1-based",
                        "name": "start",
                        "type": "int"
                    },
                    {
                        "doc": "end: end position 1-based",
                        "name": "end",
                        "type": "int"
                    },
                    {
                        "doc": "The ID field indicates the type of structural variant, and can be a colon-separated list of types and subtypes\n    (this is VCF Format): DEL, INS, DUP, INV, CNV, DUP:TANDEM, DEL:ME, INS:ME, INS:ME:ALU...",
                        "name": "type",
                        "type": "string"
                    },
                    {
                        "doc": "reference: Reference Allele sequence, the same provided in vcf",
                        "name": "reference",
                        "type": "string"
                    },
                    {
                        "doc": "alternate: Alternate Allele sequence, the same provided in vcf",
                        "name": "alternate",
                        "type": "string"
                    },
                    {
                        "doc": "For example HGMD ID)",
                        "name": "additionalTextualVariantAnnotations",
                        "type": [
                            "null",
                            {
                                "type": "map",
                                "values": "string"
                            }
                        ]
                    },
                    {
                        "doc": "For Example (Allele Frequency, sift, polyphen, mutationTaster, CADD. ..)",
                        "name": "additionalNumericVariantAnnotations",
                        "type": [
                            "null",
                            {
                                "type": "map",
                                "values": "float"
                            }
                        ]
                    },
                    {
                        "doc": "Comments",
                        "name": "comments",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    }
                ],
                "name": "ReportedStructuralVariantCancer",
                "type": "record"
            }
        },
        {
            "doc": "Describe whether this is a somatic or Germline variant",
            "name": "somaticOrGermline",
            "type": {
                "doc": "this defines whether the variant reported is considered to be a somatic or germline finding.",
                "name": "SomaticOrGermline",
                "symbols": [
                    "unknown",
                    "somatic",
                    "germline"
                ],
                "type": "enum"
            }
        }
    ],
    "name": "ReportedSomaticStructuralVariants",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}